dimanche 20 septembre 2015

Grails 3 et les IDE


Cela fait quelques temps que je cherche un IDE qui offre le support de Grails 3.
Pour le moment, voici l'état des lieux :
  • Eclipse : aucun support, le plugin n'est plus disponible sous STS.
  • Intellij : apparemment c'est supporté mais il faut payer la licence ...
  • Netbeans : début de support
Le point posistif, c'est que Netebans 8.0.2 reconnait les projets Grails 3.Ainsi, j'ai pu créer et importer un projet Grails 3.Vous pourrez également démarrer votre projet et il y a une coloration syntaxique pour les GSP.il faut avouer cependant que ce n'est pas encore complet mais au moins on peut commencer à se faire un peu la main dessus.

https://stackoverflow.com/questions/29441503/grails-3-0-support-in-netbeans/32425071#32425071

Une dernière chose, sous Eclipse, vous pouvez importer un projet Grails 3 en tant que projet Gradle comme l'indique la documentation mais ce n'est pas terrible.Je n'ai pas réussi à avoir la coloration syntaxique.A suivre donc ...